Class | Ramaze::Form
In: | lib/ramaze/helper/sequel_form.rb
Parent: | Object

### Methods

field_for new pick to_s

### Classes and Modules

Module Ramaze::Form::Layer

### Constants

SECONDS | = | (1900..2100), (1..12), (1..31), (0..23), (0..59), (0..59)
DATE_GENERIC | = | [ [ :day, DAYS ], [ :month, MONTHS ], [ :year, YEARS ] ]
TIME_GENERIC | = | [ [ :day, DAYS ], [ :month, MONTHS ], [ :year, YEARS ], [ :hour, HOURS ], [ :min, MINUTES ], [ :sec, SECONDS ] ]

### Attributes

object | [RW] |
options | [RW] |

### Public Class methods

new(object, options = {})

Create new instance of Form plus the layer for the ORM

pick(object, options = {})

TODO:

      How _elegant_ ...
      Tries to find the right module for extending the Form instance.
      It's problematic since the boundaries of what an model instance or model
      class looks like is very fuzzy, also a problem is that the ORM may not be
      available/required.

      Maybe we can abstract that a bit by going through an array of procs for
      testing?

### Public Instance methods

field_for(hash)

Decide on the strucuture of the tag based on the hash

to_s()

Generate and return the final form

[Validate]